# Handbok Terminal

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Stefan
Asserhäll

    stefan.asserhall@comhem.se

Översättare
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
&Kurt.Hindenburg;
&FDLNotice;
2010-05-25
2.5.0

Terminal är &kde;:s terminalemulator.

KDE
konsole
kdebase
kommando
rad
terminal
kommandorad

## Introduktion

### Vad är en terminal?

Programmet Terminal är en X-terminalemulator, ofta kallat en terminal eller ett skal. Den ger dig en kommandorad i ett fönster med bara text.

Att förklara användningen av en &UNIX; CLI är utanför syftet med det här dokumentet. En sökning på nätet efter dessa begrepp producerar mer information.

### Historik

Terminal använder begreppet historik för att låta användare visa utmatning som visats tidigare. Normalt är historik aktiverat och inställt att spara 1000 rader utmatning förutom det som för närvarande visas på skärmen. När textrader rullar upp ovanför skärmens överkant, kan de granskas genom att flytta rullningslisten uppåt, genom att använda mushjulet, eller genom att använda tangenterna &Shift; Page Up (för att flytta bakåt en sida), &Shift; Page Down (för att flytta framåt en sida), &Shift; Upp (för att flytta upp en rad) och &Shift; Ner (för att flytta ner en rad).

När Scroll Lock är aktiverat, stoppas vanlig in- och utmatning från skalet, och du kan flytta dig i historiken med Page Up, Page Down, Uppåtpil och Neråtpil.

### Profiler

Profiler låter användare snabbt och enkelt automatisera körning av vanliga kommandon. Exempel skulle kunna omfatta:

- Anslut till en annan dator med ssh

- Starta en IRC-session

- Använd tail för att bevaka en fil

Procedur för att skapa en ny profil:

1. Klicka på menyalternativet Inställningar Anpassa profiler...

2. Klicka på knappen Ny profil...

3. Fyll i den första raden med ett namn. Det är namnet som visas i menyn, och som används som standardrubrik istället för Skal när du startar en session av den här typen.

4. Skriv in ett kommando precis som du normalt skulle göra om du öppnade ett nytt skal, och skulle utföra kommandot. I vårt första exempel ovan, skulle du kunna skriva ``ssh` administration`.

5. Ställ in sessionens utseende under dialogrutans övriga flikar. Du kan använda ett annat teckensnitt, färgschema och typ av $`TERM` och många andra inställningar för varje session.

6. Klicka på knappen Ok. Den nya sessionen är nu tillgänglig i dialogrutan Hantera profiler....

Efter att ha skapat profiler, listas de enligt namn i menyn Arkiv Ny flikraden under standardalternativet Skal.

### Musknappar

Det här avsnittet beskriver användning av musknapparna med den vanliga inställningen av musknapparna för högerhänta. För vänsterhänta, byt vänster och höger i nedanstående text.

Vänster

  Ett klick på vänster knapp skickas som en händelse till programmet som körs i Terminal. Om ett program reagerar på musklick, indikerar Terminal detta genom att visa en pilmarkör. Om inte visas en I-formad (stapel) markör.

  Att hålla nere vänsterknappen och dra musen över skärmen med ett program som inte känner till musen, markerar ett område av texten. Medan man drar visas den markerade texten i omvända färger som synligt gensvar. Välj Kopiera i menyn Redigera för att kopiera den markerade texten till klippbordet för ytterligare användning i Terminal eller ett annat program. Den markerade texten kan också dras och släppas i program som kan hantera detta. Klicka på den markerade texten och dra den till den önskade platsen (Beroende på &kde;:s inställningar, kan du behöva hålla nere &Ctrl;-tangenten när du drar.)

  Normalt så infogas nyradstecken i slutet på varje rad som väljs. Det här är bäst för klipp och klistra av källkod, eller utmatning från ett enskilt kommando. För normal text är radbrytningar ofta inte viktiga. Man kan ibland föredra att texten är en sekvens av tecken som automatiskt formatteras om när de klipps in i ett annat program. För att välja med teckensekvensläge, håll nere &Ctrl;-tangenten och välj som vanligt.

  Att trycka på &Ctrl;- och &Alt;-tangenterna tillsammans med vänster musknapp väljer en kolumn med text.

  Dubbelklicka med vänsterknappen för att markera ett ord. Trippelklicka för att markera en hel rad.

  Om den övre eller nedre kanten av textområdet rörs medan man markerar, rullar Terminal texten uppåt eller neråt, och visar till slut text i historikbufferten. Rullningen stannar när musen stannar.

  Efter musen släpps försöker Terminal behålla texten på klippbordet synlig genom att behålla det markerade området i omvända färger. Det markerade området återgår till normalläge så fort innehållet i klippbordet ändras, texten i det markerade området ändras eller vänster-knappen klickas.

  För att markera text i ett program som känner till musen (t.ex Midnight Commander), måste &Shift;-tangenten hållas nere när man klickar.

Mitten

  Att trycka på mittknappen klistrar in text som för närvarande finns på klippbordet. Att hålla nere &Ctrl;-tangenten när du trycker på mittknappen, klistrar in texten och skickar den till Terminal.

  Om du har en mus med bara två knappar, emuleras mittenknappen på en mus med tre knappar genom att trycka på både vänster- och högerknappen..

  Om du har ett hjul som musens mittenknapp, flyttar det Terminals rullningslist för program som inte hanterar musen.

Höger

  Alternativen visas i menyn när höger musknapp trycks ner: Kopiera, Klistra in, Öppna filhanterare, Teckenkodning, Rensa historik, Anpassa historik..., Visa menyrad, Byt profil, Anpassa nuvarande profil... och Stäng flik.

  I ett program som hanterar musen, tryck på &Shift;-tangenten tillsammans med höger musknapp för att visa den sammanhangsberoende menyn.

## Kommandoreferens

### Menyraden

Menyraden är längst upp i terminalfönstret. Om menyraden är dold, kan Visa menyrad nås genom att högerklicka i fönstret (under förutsättning att inte något fullskärmsprogram som vi, minicom, etc. kör i fönstret). Förvald snabbtangent anges efter varje menyalternativ.

#### Menyn Arkiv

&Ctrl;&Shift;N Arkiv Nytt fönster

  Öppnar ett nytt separat terminalfönster med förvald profil

&Ctrl;&Shift;T Arkiv Ny flik

  Öppnar en ny flik med förvald profil

  Terminal levereras med skalprofilen som förval. Alla nya profiler som användaren lägger till listas i undermenyerna.

&Ctrl;&Shift;W Arkiv Stäng flik

  Stänger aktuell flik

Arkiv Spara historik som...

  Sparar den nuvarande historiken som en text- eller HTML-fil

Arkiv Öppna filhanterare

  Öppnar &kde;:s filhanterare i arbetskatalogen. Normalt är det &dolphin;.

&Ctrl;&Shift;Q Arkiv Avsluta

  Avslutar Terminal

  Terminal visar ett fönster om det finns mer än en flik öppen. Fönstret kan inaktiveras genom att klicka i rutan Fråga inte igen.

#### Menyn Redigera

&Ctrl;&Shift;C Redigera Kopiera

  Kopiera den markerade texten till klippbordet

&Ctrl;&Shift;V Redigera Klistra in

  Klistrar in text från klippbordet på markörens plats

Redigera Kopiera indata till Alla flikar i aktuellt fönster

  Tillåter att inmatning från aktuell session samtidigt skickas till alla sessioner i aktuellt fönster

&Ctrl;&Shift;. Redigera Kopiera indata till Välj flikar...

  Tillåter att inmatning från aktuell session samtidigt skickas till sessioner utvalda av användaren

&Ctrl;&Shift;/ Redigera Kopiera indata till Ingen

  Stoppa all inmatning till andra sessioner

&Ctrl;&Alt;S Redigera Byt namn på flik...

  Öppnar en dialogruta som låter dig byta namn på aktuell flik (mer information)

&Ctrl;&Alt;U Redigera Uppladdning med Zmodem...

  Visar en dialogruta för att välja en fil som ska laddas upp om nödvändig programvara är installerad

&Ctrl;&Shift;F Redigera Sök...

  Öppnar en sökrad längst ner i terminalfönstret

  Det här gör det möjligt att använda skiftlägeskänslig sökning, framåt och bakåt, och sökning med reguljära uttryck.

F3 Redigera Sök igen

  Går till nästa sökobjekt

&Shift;F3 Redigera Sök föregående

  Går till föregående sökobjekt

#### Menyn Visa

&Ctrl;&Shift;( Visa Dela vy Dela vyn vänster/höger

  Delar alla flikar i vänster- och högervyer

  All utmatning i en vy dupliceras i den andra vyn.

&Ctrl;&Shift;) Visa Dela vy Dela vyn topp/botten

  Delar alla flikar i topp- och bottenvyer

  All utmatning i en vy dupliceras i den andra vyn.

&Ctrl;&Shift;S Visa Dela vy Stäng aktiv

  Stänger aktiv vy

&Ctrl;&Shift;O Visa Dela vy Stäng övriga

  Stänger vyn som inte är aktiv

&Ctrl;&Shift;] Visa Dela vyn Expandera vy

  Gör den aktuella vyn större

&Ctrl;&Shift;[ Visa Dela vyn Krymp vy

  Gör den aktuella vyn mindre

&Ctrl;&Shift;H Visa Koppla från vy

  Öppnar aktuell flik i ett separat fönster

  Att avsluta det föregående terminalfönstret påverkar inte det nyskapade fönstret.

&Ctrl;&Shift;I Visa Övervakare av tystnad

  Ändrar övervakning av aktuell flik för avsaknad av aktivitet

  Normalt visas en informationsikon på sessionens flik, efter 10 sekunder utan aktivitet. Typ av meddelanden kan ändras via Inställningar Anpassa underrättelserTystnad i övervakad session.

&Ctrl;&Shift;A Visa Övervakare av aktivitet

  Ändrar övervakning av aktuell flik för aktivitet

  Vid någon aktivitet visas en informationsikon på sessionens flik. Typ av meddelanden kan ändras via Inställningar Anpassa underrättelserAktivitet i övervakad session.

&Ctrl;&Shift;+ Visa Öka teckenstorlek

  Ökar textens teckenstorlek

&Ctrl;&Shift;- Visa Minska teckenstorlek

  Minskar textens teckenstorlek

Visa Teckenkodning

  Ställer in teckenkodningen

Visa Töm historik

  Tömmer texten i historiken

&Ctrl;&Shift;X Historik Töm historik och återställ

  Tömmer text i den aktuella fliken och historiken, samt återställer terminalen

#### Menyn Bokmärken

&Ctrl;&Shift;B Bokmärken Lägg till bokmärke

  Lägger till nuvarande plats

Bokmärken Skapa bokmärken för flikar som en katalog...

  Lägger till alla flikar i en bokmärkeskatalog

  En dialogruta visas för bokmärkeskatalogens namn.

Bokmärken Ny bokmärkeskatalog...

  Lägger till en ny katalog i bokmärkeslistan

  En dialogruta visas för bokmärkeskatalogens namn.

Bokmärken Redigera bokmärken

  Öppnar bokmärkeseditorn

  Du kan använda bokmärkeseditorn för att manuellt lägga till webbadresser. För närvarande accepterar Terminal följande:

  - ssh://användare@värddator:port

  - telnet://användare@värddator:port

#### Menyn Inställningar

Inställningar Hantera profiler...

  Öppnar en editor för att hantera profiler

&Ctrl;&Shift;M Inställningar Visa menyrad

  Ändrar menyradens synlighet

Inställningar Fullskärmsläge

  Ändrar att terminalen fyller hela skärmen

Inställningar Anpassa genvägar...

  Öppnar editorn av snabbtangentgenvägar

Inställningar Anpassa meddelanden...

  Öppnar editorn av underrättelsemeddelanden

#### Menyn Hjälp

&help.menu.documentation;

### Dialogruta för att byta namn på flik

Namnet på aktuell flik kan ändras med dialogrutan. Dialogrutan kan visas via menyn, genvägen &Ctrl;&Alt;S eller genom att dubbelklicka på fliken i flikraden. Ändringarna kan göras permanenta genom att redigera nuvarande profil.

Terminal ersätter följande platsmarkörer:

- %n : programnamn

- %d : arbetskatalog (kort)

- %D : arbetskatalog (lång)

- %w : fönsterrubrik inställd av skalet

- %# : sessionsnummer

- %u : användarnamn

Exempel:

- `%d : %n` med /usr/src som arbetskatalog och programmet bash körs visas usr/s : bash

- `%D : %n` med /usr/src som arbetskatalog och programmet top körs visas /usr/src : top

- `%w (%#)` med ~ som arbetskatalog och vim körs under den första fliken visas [No Name] (~) - VIM(1)

### Dialogruta för kopiera indata

Texten som matas in under en flik kan samtidigt skickas till andra flikar. Dialogrutan låter dig välja vilka flikar som tar emot inmatningen. Den nuvarande fliken kommer att vara grå och inaktiverad.

### Dialogruta för historikalternativ

Alternativet för historikens storlek kan ändras i den här dialogrutan. Det finns också en kryssruta för att spara inställningarna i nuvarande profil.

## Kommandoradsväljare

När Terminal startas från kommandoraden kan olika väljare anges för att ändra dess beteende.

`--help`

  Listar de olika väljarna.

`--profile` `fil`

  Starta Terminal med en sparad uppsättning sessioner.

`--list-profiles`

  Listar alla tillgängliga profiler.

`--background-mode`

  Starta terminalen i bakgrunden och lägg den överst när tangenten F12 trycks.

`--new-tab`

  Skapa en ny flik i ett befintligt fönster istället för att skapa ett nytt fönster.

`--tabs-from-file` `fil`

  Skapa flikar som anges i den angivna flikinställningsfilen.

  Filen har en flik per rad med följande format:

  titel: Det här är titeln;; kommando: kör mig

`--workdir` `katalog`

  Öppna med `katalog` som arbetskatalog (startkatalog).

`--notransparency`

  Inaktivera genomskinliga bakgrunder även om systemet stöder dem.

`--force-transparency`

  Försök aktivera genomskinlighet även om systemet inte verkar stödja det.

`--hold, --noclose`

  Stäng inte ursprunglig session automatiskt när den avslutas.

`-e` `egenskap=värde`

  Ändra värdet på en profilegenskap.

`-e` `kommando`

  Kör `kommando` istället för det vanliga skalet.

  Alla argument efter `kommando` skickas till `kommando`, inte till Terminal.

Terminal accepterar också generella &Qt;- och &kde;-väljare:

`--help-qt`

  Visa väljare specifika för &Qt;

Följande &Qt;-väljare har ingen effekt i Terminal:

`--fn`, `--font` `teckensnittsnamn`

  Definierar programmets teckensnitt

`--bg`, `--background` `färg`

  Ställer in förvald bakgrundsfärg

`--fg`, `--foreground` `färg`

  Ställer in förvald förgrundsfärg

`--btn`, `--button` `färg`

  Ställer in förvald knappfärg

`--help-kde`

  Visa väljare specifika för &kde;

`--help-all`

  Visa alla väljare

`--author`

  Visa information om upphovsmän

`-v,--version`

  Visa versionsinformation

`--license`

  Visa licensinformation

## Skriva skript för Terminal

För &kde; 4 har det gamla &DCOP; ersatts av &DBus;. Terminal stöder en mängd metoder som kan användas med &DBus;.

Det finns två sätt att använda &DBus; gränssnittet: &Qt;:s grafiska gränssnitt qdbusviewer och kommandoradprogrammet qdbus.

Exempel:

- &percnt; `qdbus` visar alla tillgängliga tjänster.

- &percnt; `qdbus` `org.kde.konsole` visar &DBus; gränssnittet i Terminal.

- &percnt; `qdbus` `org.kde.konsole /Konsole` visar metoder för att styra huvudfönstret i Terminal..

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` visar metoder för session 1.

Om du startar Terminal från en annan terminal kanske du måste ändra `org.kde.konsole` till `org.kde.konsole-`pidof -s konsole``.

För mer information, besök gärna &DBus; tutorial.

## Tack till och Copyright

&konsole; underhålls för närvarande av &Robert.Knight; &Robert.Knight.mail;

&konsole; underhölls tidigare av &Kurt.Hindenburg; &Kurt.Hindenburg.mail; och &Waldo.Bastian; &Waldo.Bastian.mail;

Programmet &konsole; Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Det här dokumentet är skrivet av &Jonathan.Singer; &Jonathan.Singer.mail;

Det här dokumentet uppdaterades för &kde; 3.4 av &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Det här dokumentet uppdaterades för &kde; 4.1 av &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Överfört till DocBook SGML av &Mike.McBride; och &Lauri.Watts;

Översättning Stefan Asserhäll stefan.asserhall@comhem.se

&underFDL; &underGPL;

## Länkar

För mer information besök gärna följande webbplatser:

- &konsole;s hemsida på &kde;:s användarbas

- &konsole;s hemsida

- &konsole;s e-postlista

- &kde; på FreeBSD

- &kde; på &Solaris;

&documentation.index;